@echo off
setlocal enableextensions enabledelayedexpansion

REM Define o diretório onde os backups serão salvos
set "backup_dir=C:\util"

REM Define o nome do arquivo de backup com a data atual
set "backup_file=tichronoscom_sisnotas_%date:/=-%_%time::=-%.sql"
set "backup_file=!backup_file:,=!"

REM Faz o backup do banco de dados para o arquivo de backup
"C:\xampp\mysql\bin\mysqldump.exe" -h localhost -u root -p tichronoscom_sisnotas > "%backup_dir%\!backup_file!"

echo Backup concluído em %date% %time%
